FileControllerTouchFile Method (Guid, NullableGuid) |
PUT /File/Touch/{id}
Updates the last modified time of the file with the specified ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Touch")]
public IActionResult TouchFile(
Guid id,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Touch")>
Public Function TouchFile (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Touch")]
IActionResult^ TouchFile(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Touch")>]
member TouchFile :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the file to update. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the current session.
Return Value
Type:
IActionResult
A status code indicating success or the reason for failure.
See Also